#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,m,s=0,br=0;
    cin>>n>>m;
    if(n==1)
    {
        br=0;
        int x[m];
        for(int i=0;i<m;i++)
        {
            cin>>x[i];
        }
        int st=0;
        while(st<32)
        {
        for(int i=0;i<m;i++)
        {
            if(x[i]%2==1)
                br++;
        }
        s=s+min(br,m-br)*pow(2,st);
        cout<<s;
        }
    }
}